Callings
Update Calling
Endpoint to update an existing calling. Expects a JSON body with the updated calling details. System-defined callings cannot be modified. The calling name must be unique if it's being updated.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
calling_id*Calling Id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/callings/0" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'null{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}Delete Calling DELETE
Endpoint to delete a calling by its ID. System-defined callings cannot be deleted.
Get Calling Slot GET
Endpoint to get the user assigned to a specific calling slot. Authenticated users can access all slots, while anonymous users can only access slots for callings that are marked as public.